diff options
Diffstat (limited to 'scripts')
-rw-r--r-- | scripts/dev.sh | 4 | ||||
-rw-r--r-- | scripts/install.sh | 4 | ||||
-rw-r--r-- | scripts/require.sh | 5 | ||||
-rw-r--r-- | scripts/update.sh | 4 |
4 files changed, 12 insertions, 5 deletions
diff --git a/scripts/dev.sh b/scripts/dev.sh index 9f5b2432..fa3b2d5d 100644 --- a/scripts/dev.sh +++ b/scripts/dev.sh | |||
@@ -2,10 +2,12 @@ | |||
2 | # You can execute this file to install wallabag dev environment | 2 | # You can execute this file to install wallabag dev environment |
3 | # eg: `sh dev.sh` | 3 | # eg: `sh dev.sh` |
4 | 4 | ||
5 | COMPOSER_COMMAND='composer' | ||
6 | |||
5 | DIR="${BASH_SOURCE%/*}" | 7 | DIR="${BASH_SOURCE%/*}" |
6 | if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi | 8 | if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi |
7 | . "$DIR/require.sh" | 9 | . "$DIR/require.sh" |
8 | 10 | ||
9 | composer install | 11 | $COMPOSER_COMMAND install |
10 | php bin/console wallabag:install | 12 | php bin/console wallabag:install |
11 | php bin/console server:run | 13 | php bin/console server:run |
diff --git a/scripts/install.sh b/scripts/install.sh index cf966a0d..7a1f02bd 100644 --- a/scripts/install.sh +++ b/scripts/install.sh | |||
@@ -2,6 +2,8 @@ | |||
2 | # You can execute this file to install wallabag | 2 | # You can execute this file to install wallabag |
3 | # eg: `sh install.sh prod` | 3 | # eg: `sh install.sh prod` |
4 | 4 | ||
5 | COMPOSER_COMMAND='composer' | ||
6 | |||
5 | DIR="${BASH_SOURCE%/*}" | 7 | DIR="${BASH_SOURCE%/*}" |
6 | if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi | 8 | if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi |
7 | . "$DIR/require.sh" | 9 | . "$DIR/require.sh" |
@@ -10,5 +12,5 @@ ENV=$1 | |||
10 | TAG=$(git describe --tags $(git rev-list --tags --max-count=1)) | 12 | TAG=$(git describe --tags $(git rev-list --tags --max-count=1)) |
11 | 13 | ||
12 | git checkout $TAG | 14 | git checkout $TAG |
13 | SYMFONY_ENV=$ENV composer install --no-dev -o --prefer-dist | 15 | SYMFONY_ENV=$ENV $COMPOSER_COMMAND install --no-dev -o --prefer-dist |
14 | php bin/console wallabag:install --env=$ENV | 16 | php bin/console wallabag:install --env=$ENV |
diff --git a/scripts/require.sh b/scripts/require.sh index 851d065d..ddfb3dd2 100644 --- a/scripts/require.sh +++ b/scripts/require.sh | |||
@@ -3,6 +3,7 @@ | |||
3 | 3 | ||
4 | if [ ! -f composer.phar ]; then | 4 | if [ ! -f composer.phar ]; then |
5 | echo "composer.phar not found, we'll see if composer is installed globally." | 5 | echo "composer.phar not found, we'll see if composer is installed globally." |
6 | command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; } | ||
7 | else | ||
8 | COMPOSER_COMMAND='composer.phar' | ||
6 | fi | 9 | fi |
7 | |||
8 | command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; } | ||
diff --git a/scripts/update.sh b/scripts/update.sh index 96a48217..45e93f36 100644 --- a/scripts/update.sh +++ b/scripts/update.sh | |||
@@ -2,6 +2,8 @@ | |||
2 | # You can execute this file to update wallabag | 2 | # You can execute this file to update wallabag |
3 | # eg: `sh update.sh prod` | 3 | # eg: `sh update.sh prod` |
4 | 4 | ||
5 | COMPOSER_COMMAND='composer' | ||
6 | |||
5 | DIR="${BASH_SOURCE%/*}" | 7 | DIR="${BASH_SOURCE%/*}" |
6 | if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi | 8 | if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi |
7 | . "$DIR/require.sh" | 9 | . "$DIR/require.sh" |
@@ -13,5 +15,5 @@ rm -rf var/cache/* | |||
13 | git fetch origin | 15 | git fetch origin |
14 | git fetch --tags | 16 | git fetch --tags |
15 | git checkout $TAG --force | 17 | git checkout $TAG --force |
16 | SYMFONY_ENV=$ENV composer install --no-dev -o --prefer-dist | 18 | SYMFONY_ENV=$ENV $COMPOSER_COMMAND install --no-dev -o --prefer-dist |
17 | php bin/console cache:clear --env=$ENV | 19 | php bin/console cache:clear --env=$ENV |